Use VB in Excel to create a Material list from Shapes in Visio Drawings

ckoenig

New Member
Joined
Jul 29, 2013
Messages
2
I am struggling with the “'Read specified shape data fields from all shapes on all pages of all drawings in directory” portion of the code. I am not familiar with the syntax needed here, and also I’m not sure if I have to create objects and set objects to accomplish this.
One other part of the code that works, but not exactly how I would like is the “'Open first Visio file and read in file directory path and name information.” Really I just want to get the path for the directory in question, but I settled with this clumsy way because it is all I could get to work. Cleaning this part up would just be a bonus, low priority.
Sub GetData()
'This is program 1 of 2 that will generate a bill of material used for ordering
'Read certain shape data field information from every shape in Visio drawings.
'must read the data for every shape on every page of every drawing in the directory.
'The next program, 2 of 2, will then sort/condense this data to automatically fill in the
'spreadsheet programs are called from with the condensed information that will be used for ordering the material.

Dim Cnt1 As Integer 'Temporary Counting Variable
Dim Cnt2 As Integer 'Temporary Counting Variable
Dim FPath As String
Dim FPathName As String
Dim DataArray(100, 500, 500) As String 'Array to hold file names
Dim VisioApp As Object
Dim objFso As Object
Dim objFiles As Object
Dim objFile As Object
Dim WatchForError As Boolean
Dim PartNumber As String
Dim PartDescription As String

'Set Error Handling
On Error GoTo EarlyExit
WatchForError = True 'Set this to false near last line of code to skip error msgbox

'Clear array variables in array prior to entering data into them
Erase DataArray

'Open Visio application if not already open & set-up to allow opening each Visio drawing

If VisioApp Is Nothing Then
Set VisioApp = CreateObject("Visio.Application")
If VisioApp Is Nothing Then
MsgBox "Can't connect to Visio"
GoTo EarlyExit
End If
End If
Set VisioApp = GetObject(, "Visio.Application")

'Open first Visio file and read in file directory path and name information
FPathName = Application.GetOpenFilename(FileFilter:="Visio Files (*.VSD), *.VSD", Title:="Select First File In Directory")
If FPathName = "False" Then GoTo EarlyExit
VisioApp.documents.Open (FPathName)
FPath = VisioApp.ActiveDocument.Path
VisioApp.ActiveDocument.Close

'Create objects to get a count of files in the directory
Set objFso = CreateObject("Scripting.FileSystemObject")
Set objFiles = objFso.GetFolder(FPath).Files

'Read the file name of each Visio type file into the file name array. skip pdis.vsd and other file types
Cnt1 = 1
For Each objFile In objFiles
If UCase(Right(objFile.Path, (Len(objFile.Path) - InStrRev(objFile.Path, ".")))) = UCase("VSD") Then
If objFile.Name <> "pdis.vsd" Then
DataArray(Cnt1, 1, 1) = objFile.Name
End If
Cnt1 = Cnt1 + 1
End If
Next objFile

'Read specified shape data fields from all shapes on all pages of all drawings in directory.
For Cnt1 = 1 To 10 'Set to match 1st variable in array, this will run through each file
If DataArray(Cnt1, 1, 1) <> Empty Then
FPathName = FPath & DataArray(Cnt1, 1, 1)
VisioApp.documents.Open (FPathName)
Cnt2 = 1
For Each Page In VisioApp.Pages
For Each Shape In Shapes
DataArray(Cnt1, Cnt1 + 1, Cnt2) = PartNumber
DataArray(Cnt1, Cnt1 + 2, Cnt2) = PartDescription
Cnt2 = Cnt2 + 1
Next
Next
VisioApp.ActiveDocument.Close
End If
Next

VisioApp.Quit
WatchForError = False
EarlyExit:
'Clean up
If WatchForError = True Then
MsgBox "App failed"
Else
MsgBox "Successful"
End If
On Error Resume Next
Erase DataArray
Set objFile = Nothing
Set objFiles = Nothing
Set objFso = Nothing
Set VisioApp = Nothing
Set VisioDoc = Nothing
On Error GoTo 0
End Sub
 

Excel Facts

Quick Sum
Select a range of cells. The total appears in bottom right of Excel screen. Right-click total to add Max, Min, Count, Average.
Welcome to the board.
Please use code tags around your code to make it readable: [code ] yourr code here [/code]
or use HTMLMaker

The code below gets your directory without opening anything. I have also put the for each Page and for each Shape as it should be: You need to Dim a Page object and a Shape object , and then use this.

All my changes have ***** next or around them.

You will need to clear up the code with the pPage and shShape further.


<font face=Courier New><SPAN style="color:#00007F">Sub</SPAN> GetData()<br><SPAN style="color:#007F00">'This is program 1 of 2 that will generate a bill of material used for ordering</SPAN><br><SPAN style="color:#007F00">'Read certain shape data field information from every shape in Visio drawings.</SPAN><br><SPAN style="color:#007F00">'must read the data for every shape on every page of every drawing in the directory.</SPAN><br><SPAN style="color:#007F00">'The next program, 2 of 2, will then sort/condense this data to automatically fill in the</SPAN><br><SPAN style="color:#007F00">'spreadsheet programs are called from with the condensed information that will be used for ordering the material.</SPAN><br><br>    <SPAN style="color:#00007F">Dim</SPAN> Cnt1 <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">Integer</SPAN> <SPAN style="color:#007F00">'Temporary Counting Variable</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> Cnt2 <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">Integer</SPAN> <SPAN style="color:#007F00">'Temporary Counting Variable</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> FPath <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">String</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> FPathName <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">String</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> DataArray(100, 500, 500) <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">String</SPAN> <SPAN style="color:#007F00">'Array to hold file names</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> VisioApp <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">Object</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> objFso <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">Object</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> objFiles <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">Object</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> objFile <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">Object</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> WatchForError <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">Boolean</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> PartNumber <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">String</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> PartDescription <SPAN style="color:#00007F">As</SPAN> <SPAN style="color:#00007F">String</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> pPage <SPAN style="color:#00007F">As</SPAN> Page           <SPAN style="color:#007F00">'****</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> shShape <SPAN style="color:#00007F">As</SPAN> Shape        <SPAN style="color:#007F00">'****</SPAN><br>    <SPAN style="color:#00007F">Dim</SPAN> diaFolder <SPAN style="color:#00007F">As</SPAN> FileDialog <SPAN style="color:#007F00">'****</SPAN><br><br>    <br>    <SPAN style="color:#007F00">'Set Error Handling</SPAN><br>    <SPAN style="color:#00007F">On</SPAN> Error <SPAN style="color:#00007F">GoTo</SPAN> EarlyExit<br>    WatchForError = <SPAN style="color:#00007F">True</SPAN> <SPAN style="color:#007F00">'Set this to false near last line of code to skip error msgbox</SPAN><br>    <br>    <SPAN style="color:#007F00">'Clear array variables in array prior to entering data into them</SPAN><br>    Erase DataArray<br>    <br>    <SPAN style="color:#007F00">'Open Visio application if not already open & set-up to allow opening each Visio drawing</SPAN><br>    <br>    <SPAN style="color:#00007F">If</SPAN> VisioApp <SPAN style="color:#00007F">Is</SPAN> <SPAN style="color:#00007F">Nothing</SPAN> <SPAN style="color:#00007F">Then</SPAN><br>        <SPAN style="color:#00007F">Set</SPAN> VisioApp = CreateObject("Visio.Application")<br>        <SPAN style="color:#00007F">If</SPAN> VisioApp <SPAN style="color:#00007F">Is</SPAN> <SPAN style="color:#00007F">Nothing</SPAN> <SPAN style="color:#00007F">Then</SPAN><br>            MsgBox "Can't connect to Visio"<br>            <SPAN style="color:#00007F">GoTo</SPAN> EarlyExit<br>        <SPAN style="color:#00007F">End</SPAN> <SPAN style="color:#00007F">If</SPAN><br>    <SPAN style="color:#00007F">End</SPAN> <SPAN style="color:#00007F">If</SPAN><br>    <SPAN style="color:#00007F">Set</SPAN> VisioApp = GetObject(, "Visio.Application")<br>    <br><br>    <SPAN style="color:#007F00">' Open the file dialog and get path for the viso files  *********</SPAN><br>    <SPAN style="color:#00007F">Set</SPAN> diaFolder = Application.FileDialog(msoFileDialogFolderPicker)<br>    diaFolder.AllowMultiSelect = <SPAN style="color:#00007F">False</SPAN><br>    diaFolder.Title = "Select Directory with Viso files"<br>    diaFolder.Show<br><br>    <SPAN style="color:#00007F">If</SPAN> FPathName = "False" <SPAN style="color:#00007F">Then</SPAN> <SPAN style="color:#00007F">GoTo</SPAN> EarlyExit<br>    FPathName = diaFolder.SelectedItems(1)<br>    <SPAN style="color:#007F00">' FPathname now has the path and filename selected</SPAN><br><br>    <SPAN style="color:#00007F">Set</SPAN> diaFolder = <SPAN style="color:#00007F">Nothing</SPAN><br>    <SPAN style="color:#007F00">'************</SPAN><br><SPAN style="color:#007F00">''    'Open first Visio file and read in file directory path and name information</SPAN><br><SPAN style="color:#007F00">''    FPathName = Application.GetOpenFilename(FileFilter:="Visio Files (*.VSD), *.VSD", Title:="Select First File In Directory")</SPAN><br><SPAN style="color:#007F00">''    If FPathName = "False" Then GoTo EarlyExit</SPAN><br><SPAN style="color:#007F00">''    VisioApp.documents.Open (FPathName)</SPAN><br><SPAN style="color:#007F00">''    FPath = VisioApp.ActiveDocument.Path</SPAN><br><SPAN style="color:#007F00">''    VisioApp.ActiveDocument.Close</SPAN><br>    <br>    <SPAN style="color:#007F00">'Create objects to get a count of files in the directory</SPAN><br>    <SPAN style="color:#00007F">Set</SPAN> objFso = CreateObject("Scripting.FileSystemObject")<br>    <SPAN style="color:#00007F">Set</SPAN> objFiles = objFso.GetFolder(FPathName).Files<br>    <br>    <SPAN style="color:#007F00">'Read the file name of each Visio type file into the file name array. skip pdis.vsd and other file types</SPAN><br>    Cnt1 = 1<br>    <SPAN style="color:#00007F">For</SPAN> <SPAN style="color:#00007F">Each</SPAN> objFile <SPAN style="color:#00007F">In</SPAN> objFiles<br>        <SPAN style="color:#00007F">If</SPAN> UCase(Right(objFile.Path, (Len(objFile.Path) - InStrRev(objFile.Path, ".")))) = UCase("VSD") <SPAN style="color:#00007F">Then</SPAN><br>            <SPAN style="color:#00007F">If</SPAN> objFile.Name <> "pdis.vsd" <SPAN style="color:#00007F">Then</SPAN><br>                DataArray(Cnt1, 1, 1) = objFile.Name<br>            <SPAN style="color:#00007F">End</SPAN> <SPAN style="color:#00007F">If</SPAN><br>            Cnt1 = Cnt1 + 1<br>        <SPAN style="color:#00007F">End</SPAN> <SPAN style="color:#00007F">If</SPAN><br>    <SPAN style="color:#00007F">Next</SPAN> objFile<br>    <br>    <SPAN style="color:#007F00">'Read specified shape data fields from all shapes on all pages of all drawings in directory.</SPAN><br>    <SPAN style="color:#00007F">For</SPAN> Cnt1 = 1 <SPAN style="color:#00007F">To</SPAN> 10 <SPAN style="color:#007F00">'Set to match 1st variable in array, this will run through each file</SPAN><br>        <SPAN style="color:#00007F">If</SPAN> DataArray(Cnt1, 1, 1) <> <SPAN style="color:#00007F">Empty</SPAN> <SPAN style="color:#00007F">Then</SPAN><br>            FPathName = FPath & DataArray(Cnt1, 1, 1)<br>            VisioApp.documents.Open (FPathName)<br>            Cnt2 = 1<br>            <SPAN style="color:#00007F">For</SPAN> <SPAN style="color:#00007F">Each</SPAN> pPage <SPAN style="color:#00007F">In</SPAN> VisioApp.Pages    <SPAN style="color:#007F00">'****</SPAN><br>                <SPAN style="color:#00007F">For</SPAN> <SPAN style="color:#00007F">Each</SPAN> shShape <SPAN style="color:#00007F">In</SPAN> pPage.Shapes      <SPAN style="color:#007F00">'???  ****</SPAN><br>                <SPAN style="color:#007F00">' here you need to do something with the pPage ans shShape _<br>                  Which parameters belong to shShape or pPage? _<br>                  *****************************</SPAN><br><br>                    DataArray(Cnt1, Cnt1 + 1, Cnt2) = PartNumber<br>                    DataArray(Cnt1, Cnt1 + 2, Cnt2) = PartDescription<br>                    Cnt2 = Cnt2 + 1<br>                <SPAN style="color:#00007F">Next</SPAN><br>            <SPAN style="color:#00007F">Next</SPAN><br>            VisioApp.ActiveDocument.Close<br>        <SPAN style="color:#00007F">End</SPAN> <SPAN style="color:#00007F">If</SPAN><br>    <SPAN style="color:#00007F">Next</SPAN><br>    <br>    VisioApp.Quit<br>    WatchForError = <SPAN style="color:#00007F">False</SPAN><br>EarlyExit:<br>    <SPAN style="color:#007F00">'Clean up</SPAN><br>    <SPAN style="color:#00007F">If</SPAN> WatchFor<SPAN style="color:#00007F">Error</SPAN> = <SPAN style="color:#00007F">True</SPAN> <SPAN style="color:#00007F">Then</SPAN><br>        MsgBox "App failed"<br>    <SPAN style="color:#00007F">Else</SPAN><br>        MsgBox "Successful"<br>    <SPAN style="color:#00007F">End</SPAN> <SPAN style="color:#00007F">If</SPAN><br>    <SPAN style="color:#00007F">On</SPAN> <SPAN style="color:#00007F">Error</SPAN> <SPAN style="color:#00007F">Resume</SPAN> <SPAN style="color:#00007F">Next</SPAN><br>    Erase DataArray<br>    <SPAN style="color:#00007F">Set</SPAN> objFile = <SPAN style="color:#00007F">Nothing</SPAN><br>    <SPAN style="color:#00007F">Set</SPAN> objFiles = <SPAN style="color:#00007F">Nothing</SPAN><br>    <SPAN style="color:#00007F">Set</SPAN> objFso = <SPAN style="color:#00007F">Nothing</SPAN><br>    <SPAN style="color:#00007F">Set</SPAN> VisioApp = <SPAN style="color:#00007F">Nothing</SPAN><br><SPAN style="color:#007F00">'    Set VisioDoc = Nothing</SPAN><br>    <SPAN style="color:#00007F">Set</SPAN> pPage = <SPAN style="color:#00007F">Nothing</SPAN><br>    Set shShape = Nothing<br>    <SPAN style="color:#00007F">On</SPAN> Error <SPAN style="color:#00007F">GoTo</SPAN> 0<br><SPAN style="color:#00007F">End</SPAN> <SPAN style="color:#00007F">Sub</SPAN><br></FONT>
 
Upvote 0
Thanks for the welcome and usage tips. The folder selection is working great now. I am writing this code within Microsoft Excel Visual Basic Editor, and i originally had the code under "ThisWorkbook". I had to move the code to a new Module in order for the folder selection to work. I am still having trouble with the Visio pages and shapes. I get an error at the line
Code:
 For Each pPage In VisioApp.Pages
. The error reads Run-time error '438' Object doesn't support this property or method. Any thoughts on this error?
 
Upvote 0
Yes, the pPage has been Dim'ed as Page. I had put some stars in the comment here, as i am not sure if that is the correct type. Apparently not. See if you can search for the correct type to use here.

i don't have visio, and i donot have access to a pc for a while, so can't really help further at the moment
 
Upvote 0
If you are still interested, I believe code I currently use can help you. You will need to add visio to to your vb reference libraries.
Also when referencing visio cells include the shapesheet cell location, for example shape data fields are called "Prop.field" to read data results. I hope this helps.


Code:
Sub SendBOMDatatoExcel()
    Dim xlSheet As Object
    Dim deinput As Object
    Dim iXLRowNum As Integer, i As Integer
    Dim j As Integer, k As Integer, L As Integer, D As Integer
    Dim vsoDocument As Visio.Document
    Dim vsoPage As Visio.Page
    Dim shp As Visio.Shape
    Dim VisDrw As Variant
    Dim Finfo As String
    Dim FilterIndex As Integer
    Dim Title As String
    Dim FilName As Variant
    Dim VisioApp As Visio.Application
    
        'Get visio file path..
            '!This will create an open file name window to find the correct string variable for the drawing file.
            Finfo = "Visio Files(*.vsd),*.vsd" 'This variable filters file type.
            FilterIndex = 1 'This chooses how many file types can be filtered.
            Title = "Project Services - Select a File to Import" 'title of open file prompt'
            FilName = Application.GetOpenFilename(Finfo, FilterIndex, Title, "Import Data") 'action to open file window.
          
            'exit sub if file name string is blank ,or if cancel is pressed.
            If FilName = False Then
                MsgBox "No File was selected."
                Exit Sub
            Else
                VisDrw = FilName 'sets drawing name & location as string
            End If

        'Open visio file...
            On Error Resume Next
            Set VisioApp = GetObject(, "Visio.Application")
                
            If VisioApp Is Nothing Then
            
                Set VisioApp = CreateObject("Visio.Application")
                
            If VisioApp Is Nothing Then
            MsgBox "Can't connect to Visio"
            Exit Sub
            End If
            End If
            On Error GoTo 0
            
            'keeps visio off the desktop while working
            VisioApp.Visible = False
            VisioApp.ScreenUpdating = False
            
            'action to open the visio drawing as a copy with no stencil.
            Set vsoDocument = VisioApp.Documents.OpenEx(VisDrw, visOpenCopy + visOpenNoWorkspace)
           
            'set refrence back to excel to prepare writing of data
            Excel.Application.ScreenUpdating = False
            Set deinput = Excel.ThisWorkbook.Sheets("Design Inputs")
            
            Set xlSheet = Excel.ThisWorkbook.Sheets("VISIO DATA")
            Range("Scratch").ClearContents
   
       iXLRowNum = 8 'starts on row 8 of the sheet
                For Each vsoPage In vsoDocument.Pages 'reads each page of the visio file
                     For i = 1 To vsoPage.Shapes.Count 'total count of shapes on the page
                            Set shp = vsoPage.Shapes.Item(i) 'each shape item
                                'read the data 1 field in each shape based on revision
                               If shp.Data1 = "Multiport 2010 r2" Then
                                       
                                        'MP Type:
                                         xlSheet.Range("A" & LTrim(Str(iXLRowNum))).Value = RTrim(Left(shp.Cells("Prop.MPoveride").ResultStr(visNoCast), 10))
                                        'MP-ID:
                                         xlSheet.Range("B" & LTrim(Str(iXLRowNum))).Value = shp.Cells("Prop.Location_ID").ResultStr(visNoCast)
                                        'Homes Passed:
                                         xlSheet.Range("C" & LTrim(Str(iXLRowNum))).Value = shp.Cells("Prop.Homes_Passed").ResultStr(visNumber)
                                        'Number of Splices:
                                         xlSheet.Range("D" & LTrim(Str(iXLRowNum))).Value = shp.Cells("Prop.SplicesAtLocation").ResultStr(visNumber)
                                        'Pedestal type:
                                         xlSheet.Range("E" & LTrim(Str(iXLRowNum))).Value = shp.Cells("Prop.Ped_Type").ResultStr(visNoCast)
                                        'Splice Tray type:
                                         xlSheet.Range("F" & LTrim(Str(iXLRowNum))).Value = RTrim(Left(shp.Cells("Prop.SpliceTrayType").ResultStr(visNoCast), 10))
                                        'Number of Trays:
                                         xlSheet.Range("G" & LTrim(Str(iXLRowNum))).Value = shp.Cells("Prop.numberofsplicetrays").ResultStr(visNumber)
                               iXLRowNum = iXLRowNum + 1 'fill then move to next row
                            End If
                      'next shape
                     Next i
                'next page
                Next
               
               
        iXLRowNum = 8
                For Each vsoPage In vsoDocument.Pages
                
                     For j = 1 To vsoPage.Shapes.Count
                            Set shp = vsoPage.Shapes.Item(j)
                               
                               If shp.Data1 = "Smart Cable r1" Then
                                         'Cable ID:
                                         xlSheet.Range("I" & LTrim(Str(iXLRowNum))).Value = shp.Cells("Prop.Cable_ID").ResultStr(visNoCast)
                                         'Visio Distance:
                                         xlSheet.Range("K" & LTrim(Str(iXLRowNum))).Value = Left(shp.Cells("Prop.ActualSize").ResultStr(visNumber), 5)
                                         'Walkout Distance:
                                         xlSheet.Range("L" & LTrim(Str(iXLRowNum))).Value = Left(shp.Cells("Prop.WalkoutDistance").ResultStr(visNumber), 5)
                                         'Slack:
                                         xlSheet.Range("M" & LTrim(Str(iXLRowNum))).Value = Left(shp.Cells("Prop.Slack").ResultStr(visNumber), 5)
                                         'To Location:
                                         xlSheet.Range("O" & LTrim(Str(iXLRowNum))).Value = shp.Cells("Prop.ToLocationID").ResultStr(visNoCast)
                                         'From Location:
                                         xlSheet.Range("P" & LTrim(Str(iXLRowNum))).Value = shp.Cells("Prop.FromLocationID").ResultStr(visNoCast)
                               iXLRowNum = iXLRowNum + 1
                            End If
                                
                     Next j
                Next
                  
    'Reset values after code executed
    Excel.Application.ScreenUpdating = True
    Excel.Application.Visible = True
    If VisioApp.Documents.Count > 1 Then
            VisioApp.ScreenUpdating = True
            VisioApp.Visible = True
            vsoDocument.Close
            Else: VisioApp.Visible = True
            VisioApp.ScreenUpdating = True
            VisioApp.Quit
    End If
    
    
    'Clear variables
    Set vsoDocument = Nothing
    Set VisioApp = Nothing
    Set xlSheet = Nothing
    Set vsoPage = Nothing
    Set shp = Nothing
    Set VisDrw = Nothing

End Sub
 
Upvote 0

Forum statistics

Threads
1,214,838
Messages
6,121,885
Members
449,057
Latest member
Moo4247

We've detected that you are using an adblocker.

We have a great community of people providing Excel help here, but the hosting costs are enormous. You can help keep this site running by allowing ads on MrExcel.com.
Allow Ads at MrExcel

Which adblocker are you using?

Disable AdBlock

Follow these easy steps to disable AdBlock

1)Click on the icon in the browser’s toolbar.
2)Click on the icon in the browser’s toolbar.
2)Click on the "Pause on this site" option.
Go back

Disable AdBlock Plus

Follow these easy steps to disable AdBlock Plus

1)Click on the icon in the browser’s toolbar.
2)Click on the toggle to disable it for "mrexcel.com".
Go back

Disable uBlock Origin

Follow these easy steps to disable uBlock Origin

1)Click on the icon in the browser’s toolbar.
2)Click on the "Power" button.
3)Click on the "Refresh" button.
Go back

Disable uBlock

Follow these easy steps to disable uBlock

1)Click on the icon in the browser’s toolbar.
2)Click on the "Power" button.
3)Click on the "Refresh" button.
Go back
Back
Top